#!/bin/bash
#sudo add-apt-repository -y ppa:qbittorrent-team/qbittorrent-stable
sudo add-apt-repository -y ppa:wine/wine-builds
sudo add-apt-repository -y ppa:rvm/smplayer
sudo add-apt-repository -y ppa:nilarimogard/webupd8
sudo add-apt-repository -y ppa:libreoffice/ppa

#Загружаем ключь от VirtualBox
wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
echo 'deb http://download.virtualbox.org/virtualbox/debian zesty contrib' |sudo tee -a /etc/apt/sources.list

sudo apt-get update
sudo apt-get install -y numlockx gksu gdebi curl mc libreoffice-impress gimp gtkhash mate-system-monitor p7zip-full exfat-utils exfat-fuse filezilla qbittorrent ssh dconf-editor htop gnome-disk-utility usb-creator-gtk dconf-editor vlc smplayer smplayer-themes smplayer-skins audacious aisleriot screenfetch audacity gedit uget
sudo apt-get install -y compton nfs-kernel-server nfs-common gxneur sqlitebrowser 
#sudo apt-get install -y flashplugin-installer
sudo apt-get install -y virtualbox-5.1
sudo apt-get install -y --install-recommends winehq-devel
sudo apt-get install -y adobe-flashplugin
sudo apt-get install -y remmina remmina-plugin-vnc
sudo apt-get purge -y libreoffice-math transmission-* blueman parole mousepad

#Берём тут: 
#http://packages.linuxmint.com/pool/main/m/mintstick/
#sudo dpkg -i ./src/mintstick_*.deb
#sudo apt-get install -y -f
#sudo apt-get install -y python-gobject
#sudo dpkg -i ./src/mint-translations_*.deb
#sudo dpkg -i ./src/smplayer-skins_15.2.0-1.deb
sudo dpkg -i ./src/cryptkeeper_*.deb
sudo apt-get install -y -f

#Для монтирования iso пригодится
sudo mkdir /media/cdrom

#Устанавливаем темы
sudo tar -xvzf ./src/icon_byhardir.tar.gz -C /usr/share/icons
sudo tar -xvzf ./src/themes_byhardir.tar.gz -C /usr/share/themes
sudo mkdir /usr/share/filezilla
sudo mkdir /usr/share/filezilla/resources
sudo tar -xvf ./src/filezilla.byhardir.tar.gz -C /usr/share/filezilla/resources/

#Раскрашиваем терминал
rm ~/.bashrc
cp ./src/.bashrc ~/.bashrc
sudo cp ./src/bash.bashrc /etc/bash.bashrc
mkdir ~/.config/xfce4/terminal
cp ./src/terminalrc ~/.config/xfce4/terminal/terminalrc

#Настройка Thunar и XFCE
cp ./src/thunar.xml ~/.config/xfce4/xfconf/xfce-perchannel-xml/thunar.xml
cp ./src/xfce4-panel.xml ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
cp ./src/xfce4-desktop.xml ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
cp ./src/xfce4-keyboard-shortcuts.xml ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
cp ./src/uca.xml ~/.config/Thunar/uca.xml
mkdir ~/.config/xfce4/panel
cp ./src/whiskermenu-1.rc ~/.config/xfce4/panel/whiskermenu-1.rc
cp ./src/.compton.conf ~/.compton.conf

#numlock - включаем в ЛогинСкрин
sudo cp ./src/50-greeter-wrapper.conf /usr/share/lightdm/lightdm.conf.d/50-greeter-wrapper.conf

#Раскладку в ctrl+Shift
sudo cp ./src/keyboard /etc/default/keyboard

#Отключаем отчёты
sudo cp ./src/apport /etc/default/apport

#Ставим тему курсора от MAC
sudo rm /etc/alternatives/x-cursor-theme
sudo ln -s /usr/share/icons/byhardir/cursor.theme /etc/alternatives/x-cursor-theme

#Настроим Gedit
gsettings set org.gnome.gedit.preferences.encodings candidate-encodings "['UTF-8', 'WINDOWS-1251', 'KOI8-R', 'CURRENT', 'ISO-8859-15', 'UTF-16']"
gsettings set org.gnome.gedit.preferences.editor bracket-matching true
gsettings set org.gnome.gedit.preferences.editor display-line-numbers true
gsettings set org.gnome.gedit.preferences.editor highlight-current-line true
gsettings set org.gnome.gedit.preferences.editor use-default-font false
gsettings set org.gnome.gedit.preferences.editor scheme 'xubuntu_light'
gsettings set org.gnome.gedit.preferences.editor tabs-size 4
gsettings set org.gnome.gedit.preferences.editor editor-font 'DejaVu Sans Mono 10'

#Если видяха радеон, то можно раскомментировать
#sudo cp ./src/20-radeon.conf /usr/share/X11/xorg.conf.d/20-radeon.conf
#Если видяха intel, то можно раскомментировать
#sudo cp ./src/20-intel.conf /usr/share/X11/xorg.conf.d/20-intel.conf


